Fix default platform location to common-packer
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty plugin="github">
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14       <displayName/>
15     </com.coravy.hudson.plugins.github.GithubProjectProperty>
16     <hudson.model.ParametersDefinitionProperty>
17       <parameterDefinitions>
18         <hudson.model.StringParameterDefinition>
19           <name>PROJECT</name>
20           <description>Parameter to identify a Gerrit project. This is typically the
21 project repo path as exists in Gerrit.
22 For example: ofextensions/circuitsw
23 </description>
24           <defaultValue>releng/ciman</defaultValue>
25         </hudson.model.StringParameterDefinition>
26         <hudson.model.StringParameterDefinition>
27           <name>STREAM</name>
28           <description>Stream is often set to the same name as 'branch' but can
29 sometimes be used as a name representing a project's release code
30 name.
31 </description>
32           <defaultValue>master</defaultValue>
33         </hudson.model.StringParameterDefinition>
34         <hudson.model.StringParameterDefinition>
35           <name>GERRIT_PROJECT</name>
36           <description>Parameter to identify Gerrit project. This is typically the
37 project repo path as exists in Gerrit.
38 For example: ofextensions/circuitsw
39
40 Note that Gerrit will override this parameter automatically if a
41 job is triggered by Gerrit.
42 </description>
43           <defaultValue>releng/ciman</defaultValue>
44         </hudson.model.StringParameterDefinition>
45         <hudson.model.StringParameterDefinition>
46           <name>GERRIT_BRANCH</name>
47           <description>Parameter to identify a Gerrit branch.
48
49 Note that Gerrit will override this parameter automatically if a
50 job is triggered by Gerrit.
51 </description>
52           <defaultValue>master</defaultValue>
53         </hudson.model.StringParameterDefinition>
54         <hudson.model.StringParameterDefinition>
55           <name>GERRIT_REFSPEC</name>
56           <description>Parameter to identify a refspec when pulling from Gerrit.
57
58 Note that Gerrit will override this parameter automatically if a
59 job is triggered by Gerrit.
60 </description>
61           <defaultValue>refs/heads/master</defaultValue>
62         </hudson.model.StringParameterDefinition>
63         <hudson.model.StringParameterDefinition>
64           <name>LFTOOLS_VERSION</name>
65           <description>Version of lftools to install. Can be a specific version like
66 '0.6.0' or a PEP-440 definition.
67 https://www.python.org/dev/peps/pep-0440/
68 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
69 </description>
70           <defaultValue>&lt;1.0.0</defaultValue>
71         </hudson.model.StringParameterDefinition>
72         <hudson.model.StringParameterDefinition>
73           <name>TOX_DIR</name>
74           <description>Path to directory containing tox.ini file.
75 </description>
76           <defaultValue/>
77         </hudson.model.StringParameterDefinition>
78         <hudson.model.StringParameterDefinition>
79           <name>TOX_ENVS</name>
80           <description>Tox environments to run build against.
81 Example: docs,py2,py3
82 </description>
83           <defaultValue/>
84         </hudson.model.StringParameterDefinition>
85       </parameterDefinitions>
86     </hudson.model.ParametersDefinitionProperty>
87   </properties>
88   <scm class="hudson.plugins.git.GitSCM">
89     <configVersion>2</configVersion>
90     <userRemoteConfigs>
91       <hudson.plugins.git.UserRemoteConfig>
92         <name>origin</name>
93         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
94         <url>git@github.com:example-org/releng/ciman</url>
95         <credentialsId>test-credential</credentialsId>
96       </hudson.plugins.git.UserRemoteConfig>
97     </userRemoteConfigs>
98     <branches>
99       <hudson.plugins.git.BranchSpec>
100         <name>$sha1</name>
101       </hudson.plugins.git.BranchSpec>
102     </branches>
103     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
104     <remotePoll>false</remotePoll>
105     <gitTool>Default</gitTool>
106     <submoduleCfg class="list"/>
107     <reference/>
108     <gitConfigName/>
109     <gitConfigEmail/>
110     <extensions>
111       <hudson.plugins.git.extensions.impl.BuildChooserSetting>
112         <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
113       </hudson.plugins.git.extensions.impl.BuildChooserSetting>
114       <hudson.plugins.git.extensions.impl.SubmoduleOption>
115         <disableSubmodules>false</disableSubmodules>
116         <recursiveSubmodules>true</recursiveSubmodules>
117         <trackingSubmodules>false</trackingSubmodules>
118         <parentCredentials>false</parentCredentials>
119         <reference/>
120         <timeout>10</timeout>
121       </hudson.plugins.git.extensions.impl.SubmoduleOption>
122       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
123     </extensions>
124   </scm>
125   <triggers class="vector">
126     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
127       <spec/>
128       <adminlist/>
129       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
130       <whitelist/>
131       <orgslist/>
132       <whiteListLabels/>
133       <blackListLabels/>
134       <cron/>
135       <triggerPhrase>^recheck$</triggerPhrase>
136       <skipBuildPhrase/>
137       <onlyTriggerPhrase>false</onlyTriggerPhrase>
138       <useGitHubHooks>true</useGitHubHooks>
139       <permitAll>true</permitAll>
140       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
141       <extensions>
142         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
143           <commitStatusContext>JJB Verify</commitStatusContext>
144         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145       </extensions>
146     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
147   </triggers>
148   <builders>
149     <hudson.tasks.Shell>
150       <command>#!/bin/bash
151 # SPDX-License-Identifier: EPL-1.0
152 ##############################################################################
153 # Copyright (c) 2017 The Linux Foundation and others.
154 #
155 # All rights reserved. This program and the accompanying materials
156 # are made available under the terms of the Eclipse Public License v1.0
157 # which accompanies this distribution, and is available at
158 # http://www.eclipse.org/legal/epl-v10.html
159 ##############################################################################
160 echo &quot;---&gt; lftools-install.sh&quot;
161
162 # Script to install lftools via a version passed in via lf-infra-parameters
163 #
164 # Required parameters:
165 #
166 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
167 #                      set to a strict version number like '1.2.3' or using
168 #                      PEP-440 definitions.
169 #
170 #                      Examples:
171 #                          &lt;1.0.0
172 #                          &gt;=1.0.0,&lt;2.0.0
173 #
174 # By default a released version of lftools should always be used.
175 # The purpose of the 2 variables below is so that lftools devs can test
176 # unreleased versions of lftools. There are 2 methods to install a dev version
177 # of lftools:
178 #
179 #     1) gerrit patch: Used to test a patch that has not yet been merged.
180 #                      To do this set something like this:
181 #                          LFTOOLS_MODE=gerrit
182 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
183 #
184 #     2) git branch: Used to install an lftools version from a specific branch.
185 #                    To use this set the variables as follows:
186 #                          LFTOOLS_MODE=git
187 #                          LFTOOLS_REFSPEC=master
188 #
189 #     3) release : The intended use case and default setting.
190 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
191
192 LFTOOLS_MODE=release  # release | git | gerrit
193 LFTOOLS_REFSPEC=master
194
195 # Ensure we fail the job if any steps fail.
196 # DO NOT set -u as virtualenv's activate script has unbound variables
197 set -e -o pipefail
198
199 virtualenv --quiet &quot;/tmp/v/lftools&quot;
200 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
201 source &quot;/tmp/v/lftools/bin/activate&quot;
202 pip install --quiet --upgrade pip
203
204 case $LFTOOLS_MODE in
205     gerrit)
206         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
207         pushd /tmp/lftools
208         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
209         git checkout FETCH_HEAD
210         pip install --quiet --upgrade -r requirements.txt
211         pip install --quiet --upgrade -e .
212         popd
213         ;;
214
215     git)
216         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
217         ;;
218
219     release)
220         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
221             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
222         fi
223
224         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
225         ;;
226 esac
227
228 lftools --version
229
230 # pipdeptree prints out a lot of information because lftools pulls in many
231 # dependencies. Let's only print it if we want to debug.
232 # echo &quot;----&gt; Pip Dependency Tree&quot;
233 # pip install --quiet --upgrade pipdeptree
234 # pipdeptree
235 </command>
236     </hudson.tasks.Shell>
237     <EnvInjectBuilder>
238       <info>
239         <propertiesContent>PYTHON_VERSION=python3</propertiesContent>
240       </info>
241     </EnvInjectBuilder>
242     <hudson.tasks.Shell>
243       <command>#!/bin/bash
244 # SPDX-License-Identifier: EPL-1.0
245 ##############################################################################
246 # Copyright (c) 2017 The Linux Foundation and others.
247 #
248 # All rights reserved. This program and the accompanying materials
249 # are made available under the terms of the Eclipse Public License v1.0
250 # which accompanies this distribution, and is available at
251 # http://www.eclipse.org/legal/epl-v10.html
252 ##############################################################################
253 echo &quot;---&gt; tox-install.sh&quot;
254
255 # Ensure we fail the job if any steps fail.
256 # DO NOT set -u as virtualenv's activate script has unbound variables
257 set -e -o pipefail
258
259 virtualenv --quiet -p &quot;$PYTHON_VERSION&quot; &quot;/tmp/v/tox&quot;
260 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
261 source &quot;/tmp/v/tox/bin/activate&quot;
262 pip install --quiet --upgrade pip
263 pip install --quiet --upgrade pipdeptree
264 pip install --quiet --upgrade argparse detox tox tox-pyenv
265
266 echo &quot;----&gt; Pip Dependency Tree&quot;
267 pipdeptree
268 </command>
269     </hudson.tasks.Shell>
270     <hudson.tasks.Shell>
271       <command>#!/bin/bash
272 # SPDX-License-Identifier: EPL-1.0
273 ##############################################################################
274 # Copyright (c) 2017 The Linux Foundation and others.
275 #
276 # All rights reserved. This program and the accompanying materials
277 # are made available under the terms of the Eclipse Public License v1.0
278 # which accompanies this distribution, and is available at
279 # http://www.eclipse.org/legal/epl-v10.html
280 ##############################################################################
281 echo &quot;---&gt; tox-run.sh&quot;
282
283 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
284 source &quot;/tmp/v/tox/bin/activate&quot;
285
286 # Ensure we fail the job if any steps fail.
287 # DO NOT set -u as virtualenv's activate script has unbound variables
288 set -e -o pipefail
289
290 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
291 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
292 cd &quot;$WORKSPACE/$TOX_DIR&quot;
293
294 if [ -d &quot;/opt/pyenv&quot; ]; then
295     echo &quot;---&gt; Setting up pyenv&quot;
296     export PYENV_ROOT=&quot;/opt/pyenv&quot;
297     export PATH=&quot;$PYENV_ROOT/bin:$PATH&quot;
298 fi
299
300 set +e  # Allow detox to fail so that we can collect the logs in the next step
301 if [ ! -z &quot;$TOX_ENVS&quot; ]; then
302     detox -e &quot;$TOX_ENVS&quot;  | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
303     detox_status=&quot;${PIPESTATUS[0]}&quot;
304 else
305     detox | tee -a &quot;$ARCHIVE_TOX_DIR/detox.log&quot;
306     detox_status=&quot;${PIPESTATUS[0]}&quot;
307 fi
308
309 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
310 # shellcheck disable=SC2116
311 for i in .tox/*/log; do
312     tox_env=$(echo $i | awk -F'/' '{print $2}')
313     cp -r &quot;$i&quot; &quot;$ARCHIVE_TOX_DIR/$tox_env&quot;
314 done
315 set -e  # Logs collected so re-enable
316
317 echo &quot;Completed tox runs.&quot;
318
319 test &quot;$detox_status&quot; -eq 0 || exit &quot;$detox_status&quot;
320 </command>
321     </hudson.tasks.Shell>
322   </builders>
323   <publishers>
324     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
325       <buildSteps>
326         <hudson.tasks.Shell>
327           <command>#!/bin/bash
328 # SPDX-License-Identifier: EPL-1.0
329 ##############################################################################
330 # Copyright (c) 2017 The Linux Foundation and others.
331 #
332 # All rights reserved. This program and the accompanying materials
333 # are made available under the terms of the Eclipse Public License v1.0
334 # which accompanies this distribution, and is available at
335 # http://www.eclipse.org/legal/epl-v10.html
336 ##############################################################################
337 echo &quot;---&gt; sysstat.sh&quot;
338 set +e  # DON'T fail build if script fails.
339
340 OS=$(facter operatingsystem)
341 case &quot;$OS&quot; in
342     Ubuntu)
343         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
344
345         # Dont run the script when systat is not enabled by default
346         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
347             exit 0
348         fi
349     ;;
350     CentOS|RedHat)
351         SYSSTAT_PATH=&quot;/var/log/sa&quot;
352     ;;
353     *)
354         # nothing to do
355         exit 0
356     ;;
357 esac
358
359 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
360 mkdir -p &quot;$SAR_DIR&quot;
361 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
362 # convert sar data to ascii format
363 while IFS=&quot;&quot; read -r sarfilenum
364 do
365     [ -f &quot;$sarfilenum&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$sarfilenum&quot; &gt; &quot;$SAR_DIR/sar${sarfilenum//[!0-9]/}&quot;
366 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
367
368 # DON'T fail build if script fails.
369 exit 0
370 </command>
371         </hudson.tasks.Shell>
372         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
373           <managedFiles>
374             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
375               <fileId>jenkins-log-archives-settings</fileId>
376               <targetLocation/>
377               <variable>SETTINGS_FILE</variable>
378             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
379           </managedFiles>
380         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
381         <EnvInjectBuilder>
382           <info>
383             <propertiesContent>SERVER_ID=logs</propertiesContent>
384           </info>
385         </EnvInjectBuilder>
386         <hudson.tasks.Shell>
387           <command>#!/bin/bash
388 # SPDX-License-Identifier: EPL-1.0
389 ##############################################################################
390 # Copyright (c) 2017 The Linux Foundation and others.
391 #
392 # All rights reserved. This program and the accompanying materials
393 # are made available under the terms of the Eclipse Public License v1.0
394 # which accompanies this distribution, and is available at
395 # http://www.eclipse.org/legal/epl-v10.html
396 ##############################################################################
397 echo &quot;---&gt; create-netrc.sh&quot;
398
399 # Ensure we fail the job if any steps fail.
400 set -eu -o pipefail
401
402 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
403 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
404     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
405     -v x:username -o &quot;:&quot; -v x:password \
406     &quot;$SETTINGS_FILE&quot;)
407
408 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
409 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
410 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
411
412 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
413 </command>
414         </hudson.tasks.Shell>
415         <hudson.tasks.Shell>
416           <command>#!/bin/bash
417 # SPDX-License-Identifier: EPL-1.0
418 ##############################################################################
419 # Copyright (c) 2017 The Linux Foundation and others.
420 #
421 # All rights reserved. This program and the accompanying materials
422 # are made available under the terms of the Eclipse Public License v1.0
423 # which accompanies this distribution, and is available at
424 # http://www.eclipse.org/legal/epl-v10.html
425 ##############################################################################
426 echo &quot;---&gt; lftools-install.sh&quot;
427
428 # Script to install lftools via a version passed in via lf-infra-parameters
429 #
430 # Required parameters:
431 #
432 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
433 #                      set to a strict version number like '1.2.3' or using
434 #                      PEP-440 definitions.
435 #
436 #                      Examples:
437 #                          &lt;1.0.0
438 #                          &gt;=1.0.0,&lt;2.0.0
439 #
440 # By default a released version of lftools should always be used.
441 # The purpose of the 2 variables below is so that lftools devs can test
442 # unreleased versions of lftools. There are 2 methods to install a dev version
443 # of lftools:
444 #
445 #     1) gerrit patch: Used to test a patch that has not yet been merged.
446 #                      To do this set something like this:
447 #                          LFTOOLS_MODE=gerrit
448 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
449 #
450 #     2) git branch: Used to install an lftools version from a specific branch.
451 #                    To use this set the variables as follows:
452 #                          LFTOOLS_MODE=git
453 #                          LFTOOLS_REFSPEC=master
454 #
455 #     3) release : The intended use case and default setting.
456 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
457
458 LFTOOLS_MODE=release  # release | git | gerrit
459 LFTOOLS_REFSPEC=master
460
461 # Ensure we fail the job if any steps fail.
462 # DO NOT set -u as virtualenv's activate script has unbound variables
463 set -e -o pipefail
464
465 virtualenv --quiet &quot;/tmp/v/lftools&quot;
466 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
467 source &quot;/tmp/v/lftools/bin/activate&quot;
468 pip install --quiet --upgrade pip
469
470 case $LFTOOLS_MODE in
471     gerrit)
472         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
473         pushd /tmp/lftools
474         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
475         git checkout FETCH_HEAD
476         pip install --quiet --upgrade -r requirements.txt
477         pip install --quiet --upgrade -e .
478         popd
479         ;;
480
481     git)
482         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
483         ;;
484
485     release)
486         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
487             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
488         fi
489
490         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
491         ;;
492 esac
493
494 lftools --version
495
496 # pipdeptree prints out a lot of information because lftools pulls in many
497 # dependencies. Let's only print it if we want to debug.
498 # echo &quot;----&gt; Pip Dependency Tree&quot;
499 # pip install --quiet --upgrade pipdeptree
500 # pipdeptree
501
502 #!/bin/bash
503 # SPDX-License-Identifier: EPL-1.0
504 ##############################################################################
505 # Copyright (c) 2017 The Linux Foundation and others.
506 #
507 # All rights reserved. This program and the accompanying materials
508 # are made available under the terms of the Eclipse Public License v1.0
509 # which accompanies this distribution, and is available at
510 # http://www.eclipse.org/legal/epl-v10.html
511 ##############################################################################
512 echo &quot;---&gt; logs-deploy.sh&quot;
513
514 # Ensure we fail the job if any steps fail.
515 set -eu -o pipefail
516
517 set -x  # Trace commands for this script to make debugging easier.
518
519 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
520 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
521
522 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
523 then
524     set +x # Disable trace since we no longer need it
525
526     echo &quot;WARNING: Logging server not set&quot;
527 else
528     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
529     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
530     BUILD_URL=&quot;${BUILD_URL}&quot;
531
532     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
533     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
534
535     set +x  # Disable trace since we no longer need it.
536
537     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
538 fi
539 </command>
540         </hudson.tasks.Shell>
541         <hudson.tasks.Shell>
542           <command>#!/bin/bash
543 # SPDX-License-Identifier: EPL-1.0
544 ##############################################################################
545 # Copyright (c) 2017 The Linux Foundation and others.
546 #
547 # All rights reserved. This program and the accompanying materials
548 # are made available under the terms of the Eclipse Public License v1.0
549 # which accompanies this distribution, and is available at
550 # http://www.eclipse.org/legal/epl-v10.html
551 ##############################################################################
552
553 # Clear log credential files
554 rm &quot;$SETTINGS_FILE&quot;
555 rm ~/.netrc
556 </command>
557         </hudson.tasks.Shell>
558         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
559           <regexp>^Build logs: .*</regexp>
560         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
561       </buildSteps>
562       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
563       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
564       <markBuildUnstable>false</markBuildUnstable>
565     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
566     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
567       <patterns>
568         <hudson.plugins.ws__cleanup.Pattern>
569           <pattern>**/*.jenkins-trigger</pattern>
570           <type>EXCLUDE</type>
571         </hudson.plugins.ws__cleanup.Pattern>
572       </patterns>
573       <deleteDirs>false</deleteDirs>
574       <cleanupMatrixParent>false</cleanupMatrixParent>
575       <externalDelete/>
576       <cleanWhenSuccess>true</cleanWhenSuccess>
577       <cleanWhenUnstable>true</cleanWhenUnstable>
578       <cleanWhenFailure>true</cleanWhenFailure>
579       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
580       <cleanWhenAborted>true</cleanWhenAborted>
581       <notFailBuild>true</notFailBuild>
582     </hudson.plugins.ws__cleanup.WsCleanup>
583   </publishers>
584   <buildWrappers>
585     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
586     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
587       <timeoutMinutes>10</timeoutMinutes>
588       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
589       <failBuild>true</failBuild>
590       <writingDescription>false</writingDescription>
591       <timeoutPercentage>0</timeoutPercentage>
592       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
593       <timeoutType>absolute</timeoutType>
594     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
595     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
596     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
597       <user>test-credential</user>
598     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
599     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
600     <org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper plugin="config-file-provider">
601       <managedFiles>
602         <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
603           <fileId>npmrc</fileId>
604           <targetLocation>$HOME/.npmrc</targetLocation>
605           <variable/>
606         </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
607       </managedFiles>
608     </org.jenkinsci.plugins.configfiles.buildwrapper.ConfigFileBuildWrapper>
609   </buildWrappers>
610 </project>